Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572216 - tendrl-monitoring-integration.service fails to start
Summary: tendrl-monitoring-integration.service fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-monitoring-integration
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Daniel Horák
URL:
Whiteboard:
: 1527615 1548054 (view as bug list)
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-26 12:30 UTC by stianfp
Modified: 2018-09-04 07:06 UTC (History)
6 users (show)

Fixed In Version: tendrl-monitoring-integration-1.6.1-1.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:05:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl monitoring-integration issues 281 0 None closed No module named cliutils.cliutils 2020-06-08 13:34:30 UTC
Red Hat Bugzilla 1507583 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:06:23 UTC

Internal Links: 1507583

Description stianfp 2018-04-26 12:30:59 UTC
Description of problem:

tendrl-monitoring-integration.service fails to start with:
ImportError: No module named cliutils.cliutils

Version-Release number of selected component (if applicable):
rpm -qa | grep gluster
glusterfs-cli-3.8.4-54.6.el7rhgs.x86_64
glusterfs-api-3.8.4-54.6.el7rhgs.x86_64
gluster-nagios-addons-0.2.10-2.el7rhgs.x86_64
glusterfs-fuse-3.8.4-54.6.el7rhgs.x86_64
glusterfs-geo-replication-3.8.4-54.6.el7rhgs.x86_64
tendrl-gluster-integration-1.5.4-14.el7rhgs.noarch
glusterfs-events-3.8.4-54.6.el7rhgs.x86_64
glusterfs-libs-3.8.4-54.6.el7rhgs.x86_64
vdsm-gluster-4.17.33-1.2.el7rhgs.noarch
glusterfs-rdma-3.8.4-54.6.el7rhgs.x86_64
gluster-block-0.2.1-14.1.el7rhgs.x86_64
gluster-nagios-common-0.2.4-1.el7rhgs.noarch
glusterfs-client-xlators-3.8.4-54.6.el7rhgs.x86_64
glusterfs-3.8.4-54.6.el7rhgs.x86_64
libvirt-daemon-driver-storage-gluster-3.9.0-14.el7_5.2.x86_64
python-gluster-3.8.4-54.6.el7rhgs.noarch
glusterfs-server-3.8.4-54.6.el7rhgs.x86_64

rpm -qa | grep tendrl
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-node-agent-1.5.4-16.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-14.el7rhgs.noarch
tendrl-api-1.5.4-4.el7rhgs.noarch
tendrl-gluster-integration-1.5.4-14.el7rhgs.noarch
tendrl-ui-1.5.4-6.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-notifier-1.5.4-6.el7rhgs.noarch
tendrl-ansible-1.5.4-7.el7rhgs.noarch
tendrl-api-httpd-1.5.4-4.el7rhgs.noarch
tendrl-commons-1.5.4-9.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-14.el7rhgs.noarch
tendrl-collectd-selinux-1.5.4-2.el7rhgs.noarch

How reproducible:

Unknown

Steps to Reproduce:
1. Follow the install guide for gluster web Administration
2. Fix ansible script to your enviroment
3. Run and install Web Administration

Actual results:

All services start and work, except: 

tendrl-monitoring-integration.service fails to start with:
ImportError: No module named cliutils.cliutils


Expected results:

grafana dashboard works, and every service starts

Additional info:

Running on RHEL 7.5
Python 2.7.5

Comment 2 Martin Bukatovic 2018-04-27 16:40:01 UTC
This looks similar to this upstream issue:

https://github.com/Tendrl/monitoring-integration/issues/281

gowtham, could you check if this is actually the same problem?

Comment 4 stianfp 2018-04-30 09:02:14 UTC
I tested to manually rename the dir /usr/lib/python2.7/site-packages/tendrl/monitoring_integration/alert/handlers/cluster/gluster to /usr/lib/python2.7/site-packages/tendrl/monitoring_integration/alert/handlers/cluster/gluster_handler


and it worked fine. I have latest packages installed, so, bug is kinda fixed, but packages should be updated.

Comment 5 gowtham 2018-04-30 13:35:45 UTC
Yes, Martin, this is same, but this is fixed, is this still valid issue?

Comment 6 Martin Bukatovic 2018-04-30 15:37:18 UTC
(In reply to gowtham from comment #5)
> Yes, Martin, this is same, but this is fixed, is this still valid issue?

It is a valid issue, as the current version tendrl-monitoring-integration
1.5.4-14.el7rhgs.noarch is still affected.

But since it is fixed in upstream already, you could update the BZ accordingly,
linking upstream issue/fix and setting the state of the BZ to POST.

Comment 7 gowtham 2018-05-02 08:20:47 UTC
This issue is fixed Tendrl/monitoring-integration/pull/323

Comment 8 gowtham 2018-05-02 08:22:07 UTC
Please verify with the latest build

Comment 12 Daniel Horák 2018-05-30 12:59:35 UTC
Reproduced with:
# rpm -qa | grep -e tendrl -e gluster | sort
  glusterfs-3.12.2-12.el7rhgs.x86_64
  glusterfs-api-3.12.2-12.el7rhgs.x86_64
  glusterfs-cli-3.12.2-12.el7rhgs.x86_64
  glusterfs-client-xlators-3.12.2-12.el7rhgs.x86_64
  glusterfs-fuse-3.12.2-12.el7rhgs.x86_64
  glusterfs-geo-replication-3.12.2-12.el7rhgs.x86_64
  glusterfs-libs-3.12.2-12.el7rhgs.x86_64
  glusterfs-rdma-3.12.2-12.el7rhgs.x86_64
  glusterfs-server-3.12.2-12.el7rhgs.x86_64
  gluster-nagios-addons-0.2.10-2.el7rhgs.x86_64
  gluster-nagios-common-0.2.4-1.el7rhgs.noarch
  libvirt-daemon-driver-storage-gluster-3.9.0-14.el7_5.5.x86_64
  python2-gluster-3.12.2-12.el7rhgs.x86_64
  tendrl-ansible-1.5.4-7.el7rhgs.noarch
  tendrl-api-1.5.4-4.el7rhgs.noarch
  tendrl-api-httpd-1.5.4-4.el7rhgs.noarch
  tendrl-commons-1.5.4-9.el7rhgs.noarch
  tendrl-grafana-plugins-1.5.4-14.el7rhgs.noarch
  tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-monitoring-integration-1.5.4-14.el7rhgs.noarch
  tendrl-node-agent-1.5.4-16.el7rhgs.noarch
  tendrl-notifier-1.5.4-6.el7rhgs.noarch
  tendrl-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-ui-1.5.4-6.el7rhgs.noarch
  vdsm-gluster-4.19.43-2.3.el7rhgs.noarch

Tested and Verified with:
# rpm -qa | grep -e tendrl -e gluster | sort
  glusterfs-3.12.2-12.el7rhgs.x86_64
  glusterfs-api-3.12.2-12.el7rhgs.x86_64
  glusterfs-cli-3.12.2-12.el7rhgs.x86_64
  glusterfs-client-xlators-3.12.2-12.el7rhgs.x86_64
  glusterfs-fuse-3.12.2-12.el7rhgs.x86_64
  glusterfs-geo-replication-3.12.2-12.el7rhgs.x86_64
  glusterfs-libs-3.12.2-12.el7rhgs.x86_64
  glusterfs-rdma-3.12.2-12.el7rhgs.x86_64
  glusterfs-server-3.12.2-12.el7rhgs.x86_64
  gluster-nagios-addons-0.2.10-2.el7rhgs.x86_64
  gluster-nagios-common-0.2.4-1.el7rhgs.noarch
  libvirt-daemon-driver-storage-gluster-3.9.0-14.el7_5.5.x86_64
  python2-gluster-3.12.2-12.el7rhgs.x86_64
  tendrl-ansible-1.6.3-4.el7rhgs.noarch
  tendrl-api-1.6.3-3.el7rhgs.noarch
  tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
  tendrl-commons-1.6.3-5.el7rhgs.noarch
  tendrl-grafana-plugins-1.6.3-3.el7rhgs.noarch
  tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-monitoring-integration-1.6.3-3.el7rhgs.noarch
  tendrl-node-agent-1.6.3-5.el7rhgs.noarch
  tendrl-notifier-1.6.3-3.el7rhgs.noarch
  tendrl-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-ui-1.6.3-2.el7rhgs.noarch
  vdsm-gluster-4.19.43-2.3.el7rhgs.noarch

Module
   .../tendrl/monitoring_integration/alert/handlers/cluster/gluster
was renamed to
  .../tendrl/monitoring_integration/alert/handlers/cluster/gluster_handler

>> VERIFIED

Comment 13 Martin Bukatovic 2018-06-18 12:06:28 UTC
*** Bug 1548054 has been marked as a duplicate of this bug. ***

Comment 14 Martin Bukatovic 2018-06-18 12:10:08 UTC
*** Bug 1527615 has been marked as a duplicate of this bug. ***

Comment 17 errata-xmlrpc 2018-09-04 07:05:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.